salsa.h File Reference

Classes for Salsa and Salsa20 stream ciphers. More...

Go to the source code of this file.

## Classes

class | Salsa20_Info
| Salsa20 stream cipher information. More...
class | Salsa20_Policy
| Salsa20 stream cipher operation. More...
class | Salsa20
| Salsa20 stream cipher. More...
class | XSalsa20_Info
| XSalsa20 stream cipher information. More...
class | XSalsa20_Policy
| XSalsa20 stream cipher operation. More...
class | XSalsa20
| XSalsa20 stream cipher. More...

## Detailed Description

Classes for Salsa and Salsa20 stream ciphers.

Definition in file salsa.h.